<?php
	//引入语言包
	$mb_langpackage=new msgboardlp;

	//变量取得
	$url_uid= short_check(get_argg('user_id'));
	$ses_uid=get_sess_userid();

	//引入模块公共权限过程文件
	$is_self_mode='partLimit';
	$is_login_mode='';
	require("foundation/auser_validate.php");
	require("foundation/fpages_bar.php");
	require("foundation/module_users.php");
	require("foundation/fcontent_format.php");
	//数据表定义区
	$t_message = $tablePreStr."msgboard";
	$t_users = $tablePreStr."users";
	$dbo=new dbex;

	//读写分离定义方法
	dbtarget('r',$dbServs);

	//缓存区
	require($webRoot.$baseLibsPath."model/msgboard_list.model.cache.php");
	if($is_self=='Y' && $url_uid==''){
		//更新提醒
		dbtarget('w',$dbServs);
		$sql="update $t_message set readed=1 where to_user_id='$ses_uid'";
		$dbo->exeUpdate($sql);
		$msg_title=$mb_langpackage->mb_msgb;
	}else{
		$holder_name=get_hodler_name($dbo,$t_users,$url_uid);
		$msg_title=str_replace("{holder}",$holder_name,$mb_langpackage->mb_who_msg);
	}
	$isNull=1;
?>